Package ch.qos.logback.core.encoder

## Class NonClosableInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - ch.qos.logback.core.encoder.NonClosableInputStream

All Implemented Interfaces:
  `java.io.Closeable`, `java.lang.AutoCloseable`

    public class NonClosableInputStream
    extends java.io.FilterInputStream

### Field Summary

### Fields inherited from class java.io.FilterInputStream

`in`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` The whole point of this input stream is to ignore invocations to close()
`void` `realClose()`

### Methods inherited from class java.io.FilterInputStream

`available, mark, markSupported, read, read, read, reset, skip`

### Methods inherited from class java.io.InputStream

`nullInputStream, readAllBytes, readNBytes, readNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### close

    public void close()

The whole point of this input stream is to ignore invocations to close()

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.io.Closeable`
Overrides:
  `close` in class `java.io.FilterInputStream`

#### realClose

    public void realClose()
                   throws java.io.IOException

Throws:
  `java.io.IOException`